Get crypto wallet transactions
curl --request GET \
--url https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}/transactions \
--header 'x-api-key: <api-key>'import requests
url = "https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}/transactions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}/transactions")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"statusCode": 200,
"message": "Wallet transactions retrieved successfully",
"data": {
"transactions": [
{
"id": "9495d974-4807-4c44-bd01-f5a69283aecc",
"reference": "PTY_CRYPTO_16TY0WY7MM717C9",
"externalReference": "76c230a2-dcbd-4b40-a671-7db8d055d1c6",
"transactionType": "deposit",
"status": "failed",
"tokenAmount": "10.00000000",
"tokenSymbol": "usdc",
"tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"tokenDecimals": 6,
"senderAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"transactionHash": null,
"explorerLink": null,
"blockchain": "solana",
"sourceWalletAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientWalletAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"sourceWalletId": null,
"recipientWalletId": null,
"createdAt": "2026-01-08T00:43:44+01:00",
"updatedAt": "2026-01-08T00:43:56+01:00"
},
{
"id": "85503565-cb04-4ba7-abfb-b75193553086",
"reference": "PTY_CRYPTO_NWC3GZ6832M9VFQ",
"externalReference": "58fdb6f8-9925-4982-a516-95aabf4a22d3",
"transactionType": "deposit",
"status": "failed",
"tokenAmount": "10.00000000",
"tokenSymbol": "usdc",
"tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"tokenDecimals": 6,
"senderAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"transactionHash": null,
"explorerLink": null,
"blockchain": "solana",
"sourceWalletAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientWalletAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"sourceWalletId": null,
"recipientWalletId": null,
"createdAt": "2026-01-08T00:38:24+01:00",
"updatedAt": "2026-01-08T00:38:39+01:00"
}
],
"pagination": {
"currentPage": 1,
"totalPages": 1,
"totalItems": 2,
"itemsPerPage": 10,
"hasNextPage": false,
"hasPrevPage": false
}
}
}
Crypto Wallets
Get All Wallet Transactions
Retrieve all transactions for a crypto wallet
GET
/
api
/
v1
/
wallets
/
crypto
/
{walletId}
/
transactions
Get crypto wallet transactions
curl --request GET \
--url https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}/transactions \
--header 'x-api-key: <api-key>'import requests
url = "https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}/transactions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}/transactions")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"statusCode": 200,
"message": "Wallet transactions retrieved successfully",
"data": {
"transactions": [
{
"id": "9495d974-4807-4c44-bd01-f5a69283aecc",
"reference": "PTY_CRYPTO_16TY0WY7MM717C9",
"externalReference": "76c230a2-dcbd-4b40-a671-7db8d055d1c6",
"transactionType": "deposit",
"status": "failed",
"tokenAmount": "10.00000000",
"tokenSymbol": "usdc",
"tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"tokenDecimals": 6,
"senderAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"transactionHash": null,
"explorerLink": null,
"blockchain": "solana",
"sourceWalletAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientWalletAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"sourceWalletId": null,
"recipientWalletId": null,
"createdAt": "2026-01-08T00:43:44+01:00",
"updatedAt": "2026-01-08T00:43:56+01:00"
},
{
"id": "85503565-cb04-4ba7-abfb-b75193553086",
"reference": "PTY_CRYPTO_NWC3GZ6832M9VFQ",
"externalReference": "58fdb6f8-9925-4982-a516-95aabf4a22d3",
"transactionType": "deposit",
"status": "failed",
"tokenAmount": "10.00000000",
"tokenSymbol": "usdc",
"tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"tokenDecimals": 6,
"senderAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"transactionHash": null,
"explorerLink": null,
"blockchain": "solana",
"sourceWalletAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientWalletAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"sourceWalletId": null,
"recipientWalletId": null,
"createdAt": "2026-01-08T00:38:24+01:00",
"updatedAt": "2026-01-08T00:38:39+01:00"
}
],
"pagination": {
"currentPage": 1,
"totalPages": 1,
"totalItems": 2,
"itemsPerPage": 10,
"hasNextPage": false,
"hasPrevPage": false
}
}
}
Path Parameters
string
required
The
data.id returned when the wallet is created.Headers
string
required
API Key for authentication
Query Parameters
number
default:"1"
Page number for pagination
number
default:"10"
Number of items per page
string
Filter by the lowercase transaction values supported by the API, such as
deposit or withdrawal.string
Start date filter (ISO string)
string
End date filter (ISO string)
Request Example
curl -X GET "https://api-production.fossapay.com/api/v1/wallets/crypto/55555555-5555-4555-8555-555555555555/transactions?page=1&limit=10&transactionType=deposit" \
-H "x-api-key: $FOSSAPAY_API_KEY"
const url = new URL(
'https://api-production.fossapay.com/api/v1/wallets/crypto/55555555-5555-4555-8555-555555555555/transactions'
);
url.searchParams.set('page', '1');
url.searchParams.set('limit', '10');
url.searchParams.set('transactionType', 'deposit');
url.searchParams.set('startDate', '2024-01-01T00:00:00Z');
url.searchParams.set('endDate', '2024-12-31T23:59:59Z');
const response = await fetch(url.toString(), {
method: 'GET',
headers: {
'x-api-key': process.env.FOSSAPAY_API_KEY,
},
});
if (!response.ok) {
throw new Error(`Request failed: ${response.status} ${response.statusText}`);
}
const data = await response.json();
const transactions = data.data.transactions;
console.log(transactions);
Response
{
"status": "success",
"statusCode": 200,
"message": "Wallet transactions retrieved successfully",
"data": {
"transactions": [
{
"id": "9495d974-4807-4c44-bd01-f5a69283aecc",
"reference": "PTY_CRYPTO_16TY0WY7MM717C9",
"externalReference": "76c230a2-dcbd-4b40-a671-7db8d055d1c6",
"transactionType": "deposit",
"status": "failed",
"tokenAmount": "10.00000000",
"tokenSymbol": "usdc",
"tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"tokenDecimals": 6,
"senderAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"transactionHash": null,
"explorerLink": null,
"blockchain": "solana",
"sourceWalletAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientWalletAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"sourceWalletId": null,
"recipientWalletId": null,
"createdAt": "2026-01-08T00:43:44+01:00",
"updatedAt": "2026-01-08T00:43:56+01:00"
},
{
"id": "85503565-cb04-4ba7-abfb-b75193553086",
"reference": "PTY_CRYPTO_NWC3GZ6832M9VFQ",
"externalReference": "58fdb6f8-9925-4982-a516-95aabf4a22d3",
"transactionType": "deposit",
"status": "failed",
"tokenAmount": "10.00000000",
"tokenSymbol": "usdc",
"tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"tokenDecimals": 6,
"senderAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"transactionHash": null,
"explorerLink": null,
"blockchain": "solana",
"sourceWalletAddress": "7EcJ1eB6J3ggRrGkQWsT4ZP8dkqPZ4JmW4YRwR7Qp5cY",
"recipientWalletAddress": "8aQ3Y97fxiX26Pe2ckc3keoQEz5MtWBCVk4pEx96Sqeb",
"sourceWalletId": null,
"recipientWalletId": null,
"createdAt": "2026-01-08T00:38:24+01:00",
"updatedAt": "2026-01-08T00:38:39+01:00"
}
],
"pagination": {
"currentPage": 1,
"totalPages": 1,
"totalItems": 2,
"itemsPerPage": 10,
"hasNextPage": false,
"hasPrevPage": false
}
}
}
Error Responses
Missing and non-owned crypto wallets currently return HTTP400; invalid query fields return 422; authentication failures return 401.Authorizations
Path Parameters
The data.id returned when the wallet is created. A wallet address cannot be used here.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
deposit, withdrawal, p2p_internal, p2p_external 
